Probléma

A „telepítenie kell a korábbi Java SE 6 runtime fájlt” hiba merül fel bármely Adobe-alkalmazás megnyitásakor.

Legacy Java error

Megoldás

Mac OS 10.7 (Lion) és újabb operációs rendszerben a Java runtime nem települ automatikusan az operációs rendszer részeként. Kövesse az alábbi eljárások egyikét a Java runtime telepítéséhez.

1. módszer

A legújabb Java runtime a Java webhelyéről tölthető le: Ingyenes Java szoftver letöltése.

Megjegyzés:

Mac OS 10.10 (Yosemite) esetén az Adobe-termék indításakor előfordulhat, hogy megjelenik „Az alkalmazást eltávolították, és az útvonalat módosították...” figyelmeztetés.

Kattintson a Javítás vagy a Frissítés gombra a hely frissítéséhez és a probléma megoldásához. Ha a rendszer ajelszómegadását kéri, a befejezéshez írja be a rendszerjelszót.

Alkalmazás áthelyezve figyelmeztető üzenet

2. módszer

Ha nincs telepítve a Java runtime, a rendszer az Adobe-termék első elindításakor kéri a telepítést. Kövesse a képernyőn megjelenő utasításokat a Java telepítését kérő párbeszédpanelen.

3. módszer (Mac OS 10.7 és 10.8)

Az alábbi eljárást alkalmazva elindíthatja a Java runtime telepítését, vagy megerősítheti, hogy az már telepítve van.

  1. Lépjen az Alkalmazások > Segédprogramok > Java beállítások menüponthoz.
  2. Nyissa meg a Java beállításokat.
  3. Ha a Java nincs telepítve, a következő üzenet jelenik meg: „A Java beállítások megnyitásához szükség van a Java runtime fájlra. Most szeretne egyet telepíteni?”

    „A Java nincs telepítve” üzenet
  4. Kattintson a Telepítés lehetőségre, és fogadja el a licencmegállapodás feltételeit. A Java runtime le van töltve, és telepíttettem azt.
    Java letöltési folyamat
    A Java beállítások szerint telepítve van

További tudnivalók

Számos Adobe-alkalmazásban a szolgáltatások működéséhez szükséges az Oracle Java Runtime Environment (JRE). Az Apple nemrégiben változásokat vezetett be, és a Lion operációs rendszerben már nincs előre telepítve a Java. Ez most már egy opcionális lehetőség, amelyet ki kell választania. 

Mivel a jelenlegi Adobe-telepítők és -alkalmazások még az Apple ezen módosítása előtt készültek, az Adobe-szoftver feltételezi, hogy a Java telepítve van. Az Adobe és az Apple együttműködésének eredményeképpen a Java az operációs rendszer telepítésének bármely szakaszában telepíthető. Később is telepítheti az Adobe-alkalmazások telepítése előtt. Futtatáskor az Adobe-alkalmazás indításakor a rendszer kéri a Java telepítését, ha az még nincs telepítve. Ha az Adobe-alkalmazás futtatása előtt nem telepíti a Javát, előfordulhat, hogy egyes szolgáltatások nem működnek megfelelően, vagy nem érhetők el. Ha problémát észlel, telepítse a Javát a hibák korrigálása érdekében. Az Adobe javasolja, hogy a vállalat informatikai részlege előre telepítse a Javát (illetve tegye lehetővé, hogy a Java a tűzfal/biztonsági megoldások mellett is telepíthető legyen), hogy ne merüljön fel ütközés az Adobe-alkalmazások használatakor.

Ha nincs telepítve a Java runtime, a következő ismert problémák merülhetnek fel:

  • Nem sikerül az indítás.
  • Az alkalmazások használatakor a rendszer a Java runtime telepítését kéri.
  • Az alkalmazások leállnak vagy elszállnak.

Ez a munka a Creative Commons Nevezd meg!-Ne add el!-Így add tovább! 3.0 Unported licenc alatt lett közzétéve.  A Twitter™ és Facebook közzétételeket a Creative Commons jogi feltételei nem szabályozzák.

Jogi közlemények   |   Online adatvédelmi nyilatkozat